diff mbox

Makefile.tpl: Remove surplus whitespace

Message ID 1428578409-10431-1-git-send-email-rep.dot.nop@gmail.com
State New
Headers show

Commit Message

Bernhard Reutner-Fischer April 9, 2015, 11:20 a.m. UTC
essentially s/[[:space:]]*[[:space:]];/;/g

ChangeLog (attn: to src, IIRC no write-access, ask someone to commit)

Ok for trunk now?

2015-04-01  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>

	* Makefile.tpl: Remove surplus whitespace throughout.
	* Makefile.in: Regenerate.

Signed-off-by: Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>
---
 Makefile.in  | 4858 +++++++++++++++++++++++++++++-----------------------------
 Makefile.tpl |  110 +-
 2 files changed, 2484 insertions(+), 2484 deletions(-)

Comments

Bernhard Reutner-Fischer April 22, 2015, 6:34 p.m. UTC | #1
On 9 April 2015 at 13:20, Bernhard Reutner-Fischer
<rep.dot.nop@gmail.com> wrote:
> essentially s/[[:space:]]*[[:space:]];/;/g
>
> ChangeLog (attn: to src, IIRC no write-access, ask someone to commit)
>
> Ok for trunk now?

Jeff OKed this, applied as r222334.

Please holler if i broke something..

thanks,

>
> 2015-04-01  Bernhard Reutner-Fischer  <aldot@gcc.gnu.org>
>
>         * Makefile.tpl: Remove surplus whitespace throughout.
>         * Makefile.in: Regenerate.
>
> Signed-off-by: Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>
> ---
>  Makefile.in  | 4858 +++++++++++++++++++++++++++++-----------------------------
>  Makefile.tpl |  110 +-
>  2 files changed, 2484 insertions(+), 2484 deletions(-)
>
> diff --git a/Makefile.tpl b/Makefile.tpl
> index 1ea1954..9972909 100644
> --- a/Makefile.tpl
> +++ b/Makefile.tpl
> @@ -225,8 +225,8 @@ HOST_EXPORTS = \
>         GMPINC="$(HOST_GMPINC)"; export GMPINC; \
>         ISLLIBS="$(HOST_ISLLIBS)"; export ISLLIBS; \
>         ISLINC="$(HOST_ISLINC)"; export ISLINC; \
> -       LIBELFLIBS="$(HOST_LIBELFLIBS)" ; export LIBELFLIBS; \
> -       LIBELFINC="$(HOST_LIBELFINC)" ; export LIBELFINC; \
> +       LIBELFLIBS="$(HOST_LIBELFLIBS)"; export LIBELFLIBS; \
> +       LIBELFINC="$(HOST_LIBELFINC)"; export LIBELFINC; \
>  @if gcc-bootstrap
>         $(RPATH_ENVVAR)=`echo "$(TARGET_LIB_PATH)$$$(RPATH_ENVVAR)" | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; export $(RPATH_ENVVAR); \
>  @endif gcc-bootstrap
> @@ -785,9 +785,9 @@ do-info: maybe-all-texinfo
>
>  install-info: do-install-info dir.info
>         s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
> -       if [ -f dir.info ] ; then \
> -         $(INSTALL_DATA) dir.info $(DESTDIR)$(infodir)/dir.info ; \
> -       else true ; fi
> +       if [ -f dir.info ]; then \
> +         $(INSTALL_DATA) dir.info $(DESTDIR)$(infodir)/dir.info; \
> +       else true; fi
>
>  install-pdf: do-install-pdf
>
> @@ -913,14 +913,14 @@ uninstall:
>
>  .PHONY: install.all
>  install.all: install-no-fixedincludes
> -       @if [ -f ./gcc/Makefile ] ; then \
> -               r=`${PWD_COMMAND}` ; export r ; \
> +       @if [ -f ./gcc/Makefile ]; then \
> +               r=`${PWD_COMMAND}`; export r; \
>                 s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
>                 $(HOST_EXPORTS) \
>                 (cd ./gcc && \
> -               $(MAKE) $(FLAGS_TO_PASS) install-headers) ; \
> +               $(MAKE) $(FLAGS_TO_PASS) install-headers); \
>         else \
> -               true ; \
> +               true; \
>         fi
>
>  # install-no-fixedincludes is used to allow the elaboration of binary packages
> @@ -960,15 +960,15 @@ installdirs: mkinstalldirs
>         $(SHELL) $(srcdir)/mkinstalldirs $(MAKEDIRS)
>
>  dir.info: do-install-info
> -       if [ -f $(srcdir)/texinfo/gen-info-dir ] ; then \
> -         $(srcdir)/texinfo/gen-info-dir $(DESTDIR)$(infodir) $(srcdir)/texinfo/dir.info-template > dir.info.new ; \
> -         mv -f dir.info.new dir.info ; \
> -       else true ; \
> +       if [ -f $(srcdir)/texinfo/gen-info-dir ]; then \
> +         $(srcdir)/texinfo/gen-info-dir $(DESTDIR)$(infodir) $(srcdir)/texinfo/dir.info-template > dir.info.new; \
> +         mv -f dir.info.new dir.info; \
> +       else true; \
>         fi
>
>  dist:
>         @echo "Building a full distribution of this tree isn't done"
> -       @echo "via 'make dist'.  Check out the etc/ subdirectory"
> +       @echo "via 'make dist'.  Check out the etc/ subdirectory"
>
>  etags tags: TAGS
>
> @@ -998,8 +998,8 @@ configure-[+prefix+][+module+]: [+ IF bootstrap +][+ ELSE +]
>         s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
>         [+ IF check_multilibs
>         +]echo "Checking multilib configuration for [+module+]..."; \
> -       $(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+] ; \
> -       $(CC_FOR_TARGET) --print-multi-lib > [+subdir+]/[+module+]/multilib.tmp 2> /dev/null ; \
> +       $(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+]; \
> +       $(CC_FOR_TARGET) --print-multi-lib > [+subdir+]/[+module+]/multilib.tmp 2> /dev/null; \
>         if test -r [+subdir+]/[+module+]/multilib.out; then \
>           if cmp -s [+subdir+]/[+module+]/multilib.tmp [+subdir+]/[+module+]/multilib.out; then \
>             rm -f [+subdir+]/[+module+]/multilib.tmp; \
> @@ -1011,7 +1011,7 @@ configure-[+prefix+][+module+]: [+ IF bootstrap +][+ ELSE +]
>           mv [+subdir+]/[+module+]/multilib.tmp [+subdir+]/[+module+]/multilib.out; \
>         fi; \
>         [+ ENDIF check_multilibs +]test ! -f [+subdir+]/[+module+]/Makefile || exit 0; \
> -       $(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+] ; \
> +       $(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+]; \
>         [+exports+] [+extra_exports+] \
>         echo Configuring in [+subdir+]/[+module+]; \
>         cd "[+subdir+]/[+module+]" || exit 1; \
> @@ -1044,7 +1044,7 @@ configure-stage[+id+]-[+prefix+][+module+]:
>         TFLAGS="$(STAGE[+id+]_TFLAGS)"; \
>         [+ IF check_multilibs
>         +]echo "Checking multilib configuration for [+module+]..."; \
> -       $(CC_FOR_TARGET) --print-multi-lib > [+subdir+]/[+module+]/multilib.tmp 2> /dev/null ; \
> +       $(CC_FOR_TARGET) --print-multi-lib > [+subdir+]/[+module+]/multilib.tmp 2> /dev/null; \
>         if test -r [+subdir+]/[+module+]/multilib.out; then \
>           if cmp -s [+subdir+]/[+module+]/multilib.tmp [+subdir+]/[+module+]/multilib.out; then \
>             rm -f [+subdir+]/[+module+]/multilib.tmp; \
> @@ -1066,8 +1066,8 @@ configure-stage[+id+]-[+prefix+][+module+]:
>         LIBCFLAGS="$(STAGE[+id+]_CFLAGS)"[+ ELSE prev +] \
>         LIBCFLAGS="$(LIBCFLAGS)"[+ ENDIF prev +]; export LIBCFLAGS;[+
>    ENDIF prefix +] [+extra_exports+] \
> -       echo Configuring stage [+id+] in [+subdir+]/[+module+] ; \
> -       $(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+] ; \
> +       echo Configuring stage [+id+] in [+subdir+]/[+module+]; \
> +       $(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+]; \
>         cd [+subdir+]/[+module+] || exit 1; \
>         case $(srcdir) in \
>           /* | [A-Za-z]:[\\/]*) topdir=$(srcdir) ;; \
> @@ -1200,7 +1200,7 @@ check-[+module+]:
>  # This module is only tested in a native toolchain.
>  check-[+module+]:
>         @: $(MAKE); $(unstage)
> -       @if [ '$(host)' = '$(target)' ] ; then \
> +       @if [ '$(host)' = '$(target)' ]; then \
>           r=`${PWD_COMMAND}`; export r; \
>           s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
>           $(HOST_EXPORTS) \
> @@ -1274,7 +1274,7 @@ maybe-[+make_target+]-[+module+]: [+make_target+]-[+module+]
>         for flag in $(EXTRA_HOST_FLAGS) [+extra_make_flags+]; do \
>           eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
>         done; \
> -       echo "Doing [+make_target+] in [+module+]" ; \
> +       echo "Doing [+make_target+] in [+module+]"; \
>         (cd $(HOST_SUBDIR)/[+module+] && \
>           $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
>                   "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
> @@ -1401,7 +1401,7 @@ maybe-[+make_target+]-target-[+module+]: [+make_target+]-target-[+module+]
>      [+depend+]-target-[+module+] [+
>    ENDFOR depend +]
>         @: $(MAKE); $(unstage)
> -       @[ -f $(TARGET_SUBDIR)/[+module+]/Makefile ] || exit 0 ; \
> +       @[ -f $(TARGET_SUBDIR)/[+module+]/Makefile ] || exit 0; \
>         r=`${PWD_COMMAND}`; export r; \
>         s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \[+
>  IF raw_cxx +]
> @@ -1409,7 +1409,7 @@ IF raw_cxx +]
>  ELSE normal_cxx +]
>         $(NORMAL_TARGET_EXPORTS) \[+
>  ENDIF raw_cxx +]
> -       echo "Doing [+make_target+] in $(TARGET_SUBDIR)/[+module+]" ; \
> +       echo "Doing [+make_target+] in $(TARGET_SUBDIR)/[+module+]"; \
>         for flag in $(EXTRA_TARGET_FLAGS); do \
>           eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
>         done; \
> @@ -1452,7 +1452,7 @@ cross: all-build all-gas all-ld
>         echo "Building the C and C++ compiler"; \
>         cd gcc && $(MAKE) $(GCC_FLAGS_TO_PASS) LANGUAGES="c c++"
>         @r=`${PWD_COMMAND}`; export r; \
> -       s=`cd $(srcdir); ${PWD_COMMAND}` ; export s; \
> +       s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
>         echo "Building runtime libraries"; \
>         $(MAKE) $(RECURSE_FLAGS_TO_PASS) LANGUAGES="c c++" all
>  @endif gcc-no-bootstrap
> @@ -1536,31 +1536,31 @@ objext = .o
>
>  stage[+id+]-start::
>         @: $(MAKE); $(stage); \
> -       echo stage[+id+] > stage_current ; \
> +       echo stage[+id+] > stage_current; \
>         echo stage[+id+] > stage_last; \
>         $(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)[+
>     FOR host_modules +][+ IF bootstrap +]
>  @if [+ module +]
>         @cd $(HOST_SUBDIR); [ -d stage[+id+]-[+module+] ] || \
>           mkdir stage[+id+]-[+module+]; \
> -       mv stage[+id+]-[+module+] [+module+] [+ IF prev +] ; \
> -       mv stage[+prev+]-[+module+] prev-[+module+] || test -f stage[+prev+]-lean [+ ENDIF prev +]
> +       mv stage[+id+]-[+module+] [+module+][+ IF prev +]; \
> +       mv stage[+prev+]-[+module+] prev-[+module+] || test -f stage[+prev+]-lean[+ ENDIF prev +]
>  @endif [+ module +][+ ENDIF bootstrap +][+ ENDFOR host_modules +]
>         @[ -d stage[+id+]-$(TARGET_SUBDIR) ] || \
>           mkdir stage[+id+]-$(TARGET_SUBDIR); \
> -       mv stage[+id+]-$(TARGET_SUBDIR) $(TARGET_SUBDIR) [+ IF prev +] ; \
> -       mv stage[+prev+]-$(TARGET_SUBDIR) prev-$(TARGET_SUBDIR) || test -f stage[+prev+]-lean [+ ENDIF prev +]
> +       mv stage[+id+]-$(TARGET_SUBDIR) $(TARGET_SUBDIR)[+ IF prev +]; \
> +       mv stage[+prev+]-$(TARGET_SUBDIR) prev-$(TARGET_SUBDIR) || test -f stage[+prev+]-lean[+ ENDIF prev +]
>
>  stage[+id+]-end:: [+ FOR host_modules +][+ IF bootstrap +]
>  @if [+ module +]
> -       @if test -d $(HOST_SUBDIR)/[+module+] ; then \
> -         cd $(HOST_SUBDIR); mv [+module+] stage[+id+]-[+module+] [+ IF prev +]; \
> -         mv prev-[+module+] stage[+prev+]-[+module+] ; : [+ ENDIF prev +] ; \
> +       @if test -d $(HOST_SUBDIR)/[+module+]; then \
> +         cd $(HOST_SUBDIR); mv [+module+] stage[+id+]-[+module+][+ IF prev +]; \
> +         mv prev-[+module+] stage[+prev+]-[+module+]; : [+ ENDIF prev +]; \
>         fi
>  @endif [+ module +][+ ENDIF bootstrap +][+ ENDFOR host_modules +]
> -       @if test -d $(TARGET_SUBDIR) ; then \
> -         mv $(TARGET_SUBDIR) stage[+id+]-$(TARGET_SUBDIR) [+ IF prev +] ; \
> -         mv prev-$(TARGET_SUBDIR) stage[+prev+]-$(TARGET_SUBDIR) ; : [+ ENDIF prev +] ; \
> +       @if test -d $(TARGET_SUBDIR); then \
> +         mv $(TARGET_SUBDIR) stage[+id+]-$(TARGET_SUBDIR)[+ IF prev +]; \
> +         mv prev-$(TARGET_SUBDIR) stage[+prev+]-$(TARGET_SUBDIR); : [+ ENDIF prev +]; \
>         fi
>         rm -f stage_current
>
> @@ -1571,14 +1571,14 @@ stage[+id+]-end:: [+ FOR host_modules +][+ IF bootstrap +]
>  stage[+id+]-bubble:: [+ IF prev +]stage[+prev+]-bubble[+ ENDIF +]
>         @r=`${PWD_COMMAND}`; export r; \
>         s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
> -       if test -f stage[+id+]-lean [+
> -         IF prev +]|| test -f stage[+prev+]-lean [+ ENDIF prev +] ; then \
> -         echo Skipping rebuild of stage[+id+] ; \
> +       if test -f stage[+id+]-lean[+
> +         IF prev +] || test -f stage[+prev+]-lean[+ ENDIF prev +]; then \
> +         echo Skipping rebuild of stage[+id+]; \
>         else \
>           $(MAKE) stage[+id+]-start; \[+IF lean +]
>           if $(LEAN); then \
> -           rm -rf stage[+lean+]-* ; \
> -           $(STAMP) stage[+lean+]-lean ; \
> +           rm -rf stage[+lean+]-*; \
> +           $(STAMP) stage[+lean+]-lean; \
>           fi; \[+ ENDIF lean +]
>           $(MAKE) $(RECURSE_FLAGS_TO_PASS) all-stage[+id+]; \
>         fi[+ IF compare-target +]
> @@ -1595,35 +1595,35 @@ do-clean: clean-stage[+id+]
>         @r=`${PWD_COMMAND}`; export r; \
>         s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
>         if test -f stage[+prev+]-lean; then \
> -         echo Cannot compare object files as stage [+prev+] was deleted. ; \
> -         exit 0 ; \
> +         echo Cannot compare object files as stage [+prev+] was deleted.; \
> +         exit 0; \
>         fi; \
>         : $(MAKE); $(stage); \
> -       rm -f .bad_compare ; \
> -       echo Comparing stages [+prev+] and [+id+] ; \
> +       rm -f .bad_compare; \
> +       echo Comparing stages [+prev+] and [+id+]; \
>          sed=`echo stage[+id+] | sed 's,^stage,,;s,.,.,g'`; \
>         files=`find stage[+id+]-* -name "*$(objext)" -print | \
> -                sed -n s,^stage$$sed-,,p` ; \
> -       for file in $${files} ; do \
> +                sed -n s,^stage$$sed-,,p`; \
> +       for file in $${files}; do \
>           f1=$$r/stage[+prev+]-$$file; f2=$$r/stage[+id+]-$$file; \
>           if test ! -f $$f1; then continue; fi; \
>           $(do-[+compare-target+]) > /dev/null 2>&1; \
>           if test $$? -eq 1; then \
>             case $$file in \
>               @compare_exclusions@) \
> -               echo warning: $$file differs ;; \
> +               echo warning: $$file differs;; \
>               *) \
>                 echo $$file differs >> .bad_compare ;; \
> -           esac ; \
> -         fi ; \
> -       done ; \
> +           esac; \
> +         fi; \
> +       done; \
>         if [ -f .bad_compare ]; then \
>           echo "Bootstrap comparison failure!"; \
>           cat .bad_compare; \
>           exit 1; \
>         else \
>           echo Comparison successful.; \
> -       fi ; \
> +       fi; \
>         $(STAMP) [+compare-target+][+ IF prev +]
>         if $(LEAN); then \
>           rm -rf stage[+prev+]-*; \
> @@ -1689,10 +1689,10 @@ stagefeedback-start::
>         @r=`${PWD_COMMAND}`; export r; \
>         s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
>         for i in prev-*; do \
> -         j=`echo $$i | sed s/^prev-//` ; \
> +         j=`echo $$i | sed s/^prev-//`; \
>           cd $$r/$$i && \
> -         { find . -type d | sort | sed 's,.*,$(SHELL) '"$$s"'/mkinstalldirs "../'$$j'/&",' | $(SHELL) ; } && \
> -         { find . -name '*.*da' | sed 's,.*,$(LN) -f "&" "../'$$j'/&",' | $(SHELL) ; } ; \
> +         { find . -type d | sort | sed 's,.*,$(SHELL) '"$$s"'/mkinstalldirs "../'$$j'/&",' | $(SHELL); } && \
> +         { find . -name '*.*da' | sed 's,.*,$(LN) -f "&" "../'$$j'/&",' | $(SHELL); }; \
>         done
>
>  @if gcc-bootstrap
> --
> 1.7.10.4
>
diff mbox

Patch

diff --git a/Makefile.tpl b/Makefile.tpl
index 1ea1954..9972909 100644
--- a/Makefile.tpl
+++ b/Makefile.tpl
@@ -225,8 +225,8 @@  HOST_EXPORTS = \
 	GMPINC="$(HOST_GMPINC)"; export GMPINC; \
 	ISLLIBS="$(HOST_ISLLIBS)"; export ISLLIBS; \
 	ISLINC="$(HOST_ISLINC)"; export ISLINC; \
-	LIBELFLIBS="$(HOST_LIBELFLIBS)" ; export LIBELFLIBS; \
-	LIBELFINC="$(HOST_LIBELFINC)" ; export LIBELFINC; \
+	LIBELFLIBS="$(HOST_LIBELFLIBS)"; export LIBELFLIBS; \
+	LIBELFINC="$(HOST_LIBELFINC)"; export LIBELFINC; \
 @if gcc-bootstrap
 	$(RPATH_ENVVAR)=`echo "$(TARGET_LIB_PATH)$$$(RPATH_ENVVAR)" | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; export $(RPATH_ENVVAR); \
 @endif gcc-bootstrap
@@ -785,9 +785,9 @@  do-info: maybe-all-texinfo
 
 install-info: do-install-info dir.info
 	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
-	if [ -f dir.info ] ; then \
-	  $(INSTALL_DATA) dir.info $(DESTDIR)$(infodir)/dir.info ; \
-	else true ; fi
+	if [ -f dir.info ]; then \
+	  $(INSTALL_DATA) dir.info $(DESTDIR)$(infodir)/dir.info; \
+	else true; fi
 
 install-pdf: do-install-pdf
 
@@ -913,14 +913,14 @@  uninstall:
 
 .PHONY: install.all
 install.all: install-no-fixedincludes
-	@if [ -f ./gcc/Makefile ] ; then \
-		r=`${PWD_COMMAND}` ; export r ; \
+	@if [ -f ./gcc/Makefile ]; then \
+		r=`${PWD_COMMAND}`; export r; \
 		s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
 		$(HOST_EXPORTS) \
 		(cd ./gcc && \
-		$(MAKE) $(FLAGS_TO_PASS) install-headers) ; \
+		$(MAKE) $(FLAGS_TO_PASS) install-headers); \
 	else \
-		true ; \
+		true; \
 	fi
 
 # install-no-fixedincludes is used to allow the elaboration of binary packages
@@ -960,15 +960,15 @@  installdirs: mkinstalldirs
 	$(SHELL) $(srcdir)/mkinstalldirs $(MAKEDIRS)
 
 dir.info: do-install-info
-	if [ -f $(srcdir)/texinfo/gen-info-dir ] ; then \
-	  $(srcdir)/texinfo/gen-info-dir $(DESTDIR)$(infodir) $(srcdir)/texinfo/dir.info-template > dir.info.new ; \
-	  mv -f dir.info.new dir.info ; \
-	else true ; \
+	if [ -f $(srcdir)/texinfo/gen-info-dir ]; then \
+	  $(srcdir)/texinfo/gen-info-dir $(DESTDIR)$(infodir) $(srcdir)/texinfo/dir.info-template > dir.info.new; \
+	  mv -f dir.info.new dir.info; \
+	else true; \
 	fi
 
 dist:
 	@echo "Building a full distribution of this tree isn't done"
-	@echo "via 'make dist'.  Check out the etc/ subdirectory" 
+	@echo "via 'make dist'.  Check out the etc/ subdirectory"
 
 etags tags: TAGS
 
@@ -998,8 +998,8 @@  configure-[+prefix+][+module+]: [+ IF bootstrap +][+ ELSE +]
 	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
 	[+ IF check_multilibs
 	+]echo "Checking multilib configuration for [+module+]..."; \
-	$(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+] ; \
-	$(CC_FOR_TARGET) --print-multi-lib > [+subdir+]/[+module+]/multilib.tmp 2> /dev/null ; \
+	$(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+]; \
+	$(CC_FOR_TARGET) --print-multi-lib > [+subdir+]/[+module+]/multilib.tmp 2> /dev/null; \
 	if test -r [+subdir+]/[+module+]/multilib.out; then \
 	  if cmp -s [+subdir+]/[+module+]/multilib.tmp [+subdir+]/[+module+]/multilib.out; then \
 	    rm -f [+subdir+]/[+module+]/multilib.tmp; \
@@ -1011,7 +1011,7 @@  configure-[+prefix+][+module+]: [+ IF bootstrap +][+ ELSE +]
 	  mv [+subdir+]/[+module+]/multilib.tmp [+subdir+]/[+module+]/multilib.out; \
 	fi; \
 	[+ ENDIF check_multilibs +]test ! -f [+subdir+]/[+module+]/Makefile || exit 0; \
-	$(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+] ; \
+	$(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+]; \
 	[+exports+] [+extra_exports+] \
 	echo Configuring in [+subdir+]/[+module+]; \
 	cd "[+subdir+]/[+module+]" || exit 1; \
@@ -1044,7 +1044,7 @@  configure-stage[+id+]-[+prefix+][+module+]:
 	TFLAGS="$(STAGE[+id+]_TFLAGS)"; \
 	[+ IF check_multilibs
 	+]echo "Checking multilib configuration for [+module+]..."; \
-	$(CC_FOR_TARGET) --print-multi-lib > [+subdir+]/[+module+]/multilib.tmp 2> /dev/null ; \
+	$(CC_FOR_TARGET) --print-multi-lib > [+subdir+]/[+module+]/multilib.tmp 2> /dev/null; \
 	if test -r [+subdir+]/[+module+]/multilib.out; then \
 	  if cmp -s [+subdir+]/[+module+]/multilib.tmp [+subdir+]/[+module+]/multilib.out; then \
 	    rm -f [+subdir+]/[+module+]/multilib.tmp; \
@@ -1066,8 +1066,8 @@  configure-stage[+id+]-[+prefix+][+module+]:
 	LIBCFLAGS="$(STAGE[+id+]_CFLAGS)"[+ ELSE prev +] \
 	LIBCFLAGS="$(LIBCFLAGS)"[+ ENDIF prev +]; export LIBCFLAGS;[+
   ENDIF prefix +] [+extra_exports+] \
-	echo Configuring stage [+id+] in [+subdir+]/[+module+] ; \
-	$(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+] ; \
+	echo Configuring stage [+id+] in [+subdir+]/[+module+]; \
+	$(SHELL) $(srcdir)/mkinstalldirs [+subdir+]/[+module+]; \
 	cd [+subdir+]/[+module+] || exit 1; \
 	case $(srcdir) in \
 	  /* | [A-Za-z]:[\\/]*) topdir=$(srcdir) ;; \
@@ -1200,7 +1200,7 @@  check-[+module+]:
 # This module is only tested in a native toolchain.
 check-[+module+]:
 	@: $(MAKE); $(unstage)
-	@if [ '$(host)' = '$(target)' ] ; then \
+	@if [ '$(host)' = '$(target)' ]; then \
 	  r=`${PWD_COMMAND}`; export r; \
 	  s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
 	  $(HOST_EXPORTS) \
@@ -1274,7 +1274,7 @@  maybe-[+make_target+]-[+module+]: [+make_target+]-[+module+]
 	for flag in $(EXTRA_HOST_FLAGS) [+extra_make_flags+]; do \
 	  eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
 	done; \
-	echo "Doing [+make_target+] in [+module+]" ; \
+	echo "Doing [+make_target+] in [+module+]"; \
 	(cd $(HOST_SUBDIR)/[+module+] && \
 	  $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
 	          "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
@@ -1401,7 +1401,7 @@  maybe-[+make_target+]-target-[+module+]: [+make_target+]-target-[+module+]
     [+depend+]-target-[+module+] [+
   ENDFOR depend +]
 	@: $(MAKE); $(unstage)
-	@[ -f $(TARGET_SUBDIR)/[+module+]/Makefile ] || exit 0 ; \
+	@[ -f $(TARGET_SUBDIR)/[+module+]/Makefile ] || exit 0; \
 	r=`${PWD_COMMAND}`; export r; \
 	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \[+
 IF raw_cxx +]
@@ -1409,7 +1409,7 @@  IF raw_cxx +]
 ELSE normal_cxx +]
 	$(NORMAL_TARGET_EXPORTS) \[+
 ENDIF raw_cxx +]
-	echo "Doing [+make_target+] in $(TARGET_SUBDIR)/[+module+]" ; \
+	echo "Doing [+make_target+] in $(TARGET_SUBDIR)/[+module+]"; \
 	for flag in $(EXTRA_TARGET_FLAGS); do \
 	  eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
 	done; \
@@ -1452,7 +1452,7 @@  cross: all-build all-gas all-ld
 	echo "Building the C and C++ compiler"; \
 	cd gcc && $(MAKE) $(GCC_FLAGS_TO_PASS) LANGUAGES="c c++"
 	@r=`${PWD_COMMAND}`; export r; \
-	s=`cd $(srcdir); ${PWD_COMMAND}` ; export s; \
+	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
 	echo "Building runtime libraries"; \
 	$(MAKE) $(RECURSE_FLAGS_TO_PASS) LANGUAGES="c c++" all
 @endif gcc-no-bootstrap
@@ -1536,31 +1536,31 @@  objext = .o
 
 stage[+id+]-start::
 	@: $(MAKE); $(stage); \
-	echo stage[+id+] > stage_current ; \
+	echo stage[+id+] > stage_current; \
 	echo stage[+id+] > stage_last; \
 	$(SHELL) $(srcdir)/mkinstalldirs $(HOST_SUBDIR)[+
    FOR host_modules +][+ IF bootstrap +]
 @if [+ module +]
 	@cd $(HOST_SUBDIR); [ -d stage[+id+]-[+module+] ] || \
 	  mkdir stage[+id+]-[+module+]; \
-	mv stage[+id+]-[+module+] [+module+] [+ IF prev +] ; \
-	mv stage[+prev+]-[+module+] prev-[+module+] || test -f stage[+prev+]-lean [+ ENDIF prev +]
+	mv stage[+id+]-[+module+] [+module+][+ IF prev +]; \
+	mv stage[+prev+]-[+module+] prev-[+module+] || test -f stage[+prev+]-lean[+ ENDIF prev +]
 @endif [+ module +][+ ENDIF bootstrap +][+ ENDFOR host_modules +]
 	@[ -d stage[+id+]-$(TARGET_SUBDIR) ] || \
 	  mkdir stage[+id+]-$(TARGET_SUBDIR); \
-	mv stage[+id+]-$(TARGET_SUBDIR) $(TARGET_SUBDIR) [+ IF prev +] ; \
-	mv stage[+prev+]-$(TARGET_SUBDIR) prev-$(TARGET_SUBDIR) || test -f stage[+prev+]-lean [+ ENDIF prev +]
+	mv stage[+id+]-$(TARGET_SUBDIR) $(TARGET_SUBDIR)[+ IF prev +]; \
+	mv stage[+prev+]-$(TARGET_SUBDIR) prev-$(TARGET_SUBDIR) || test -f stage[+prev+]-lean[+ ENDIF prev +]
 
 stage[+id+]-end:: [+ FOR host_modules +][+ IF bootstrap +]
 @if [+ module +]
-	@if test -d $(HOST_SUBDIR)/[+module+] ; then \
-	  cd $(HOST_SUBDIR); mv [+module+] stage[+id+]-[+module+] [+ IF prev +]; \
-	  mv prev-[+module+] stage[+prev+]-[+module+] ; : [+ ENDIF prev +] ; \
+	@if test -d $(HOST_SUBDIR)/[+module+]; then \
+	  cd $(HOST_SUBDIR); mv [+module+] stage[+id+]-[+module+][+ IF prev +]; \
+	  mv prev-[+module+] stage[+prev+]-[+module+]; : [+ ENDIF prev +]; \
 	fi
 @endif [+ module +][+ ENDIF bootstrap +][+ ENDFOR host_modules +]
-	@if test -d $(TARGET_SUBDIR) ; then \
-	  mv $(TARGET_SUBDIR) stage[+id+]-$(TARGET_SUBDIR) [+ IF prev +] ; \
-	  mv prev-$(TARGET_SUBDIR) stage[+prev+]-$(TARGET_SUBDIR) ; : [+ ENDIF prev +] ; \
+	@if test -d $(TARGET_SUBDIR); then \
+	  mv $(TARGET_SUBDIR) stage[+id+]-$(TARGET_SUBDIR)[+ IF prev +]; \
+	  mv prev-$(TARGET_SUBDIR) stage[+prev+]-$(TARGET_SUBDIR); : [+ ENDIF prev +]; \
 	fi
 	rm -f stage_current
 
@@ -1571,14 +1571,14 @@  stage[+id+]-end:: [+ FOR host_modules +][+ IF bootstrap +]
 stage[+id+]-bubble:: [+ IF prev +]stage[+prev+]-bubble[+ ENDIF +]
 	@r=`${PWD_COMMAND}`; export r; \
 	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
-	if test -f stage[+id+]-lean [+
-	  IF prev +]|| test -f stage[+prev+]-lean [+ ENDIF prev +] ; then \
-	  echo Skipping rebuild of stage[+id+] ; \
+	if test -f stage[+id+]-lean[+
+	  IF prev +] || test -f stage[+prev+]-lean[+ ENDIF prev +]; then \
+	  echo Skipping rebuild of stage[+id+]; \
 	else \
 	  $(MAKE) stage[+id+]-start; \[+IF lean +]
 	  if $(LEAN); then \
-	    rm -rf stage[+lean+]-* ; \
-	    $(STAMP) stage[+lean+]-lean ; \
+	    rm -rf stage[+lean+]-*; \
+	    $(STAMP) stage[+lean+]-lean; \
 	  fi; \[+ ENDIF lean +]
 	  $(MAKE) $(RECURSE_FLAGS_TO_PASS) all-stage[+id+]; \
 	fi[+ IF compare-target +]
@@ -1595,35 +1595,35 @@  do-clean: clean-stage[+id+]
 	@r=`${PWD_COMMAND}`; export r; \
 	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
 	if test -f stage[+prev+]-lean; then \
-	  echo Cannot compare object files as stage [+prev+] was deleted. ; \
-	  exit 0 ; \
+	  echo Cannot compare object files as stage [+prev+] was deleted.; \
+	  exit 0; \
 	fi; \
 	: $(MAKE); $(stage); \
-	rm -f .bad_compare ; \
-	echo Comparing stages [+prev+] and [+id+] ; \
+	rm -f .bad_compare; \
+	echo Comparing stages [+prev+] and [+id+]; \
         sed=`echo stage[+id+] | sed 's,^stage,,;s,.,.,g'`; \
 	files=`find stage[+id+]-* -name "*$(objext)" -print | \
-		 sed -n s,^stage$$sed-,,p` ; \
-	for file in $${files} ; do \
+		 sed -n s,^stage$$sed-,,p`; \
+	for file in $${files}; do \
 	  f1=$$r/stage[+prev+]-$$file; f2=$$r/stage[+id+]-$$file; \
 	  if test ! -f $$f1; then continue; fi; \
 	  $(do-[+compare-target+]) > /dev/null 2>&1; \
 	  if test $$? -eq 1; then \
 	    case $$file in \
 	      @compare_exclusions@) \
-	        echo warning: $$file differs ;; \
+	        echo warning: $$file differs;; \
 	      *) \
 	        echo $$file differs >> .bad_compare ;; \
-	    esac ; \
-	  fi ; \
-	done ; \
+	    esac; \
+	  fi; \
+	done; \
 	if [ -f .bad_compare ]; then \
 	  echo "Bootstrap comparison failure!"; \
 	  cat .bad_compare; \
 	  exit 1; \
 	else \
 	  echo Comparison successful.; \
-	fi ; \
+	fi; \
 	$(STAMP) [+compare-target+][+ IF prev +]
 	if $(LEAN); then \
 	  rm -rf stage[+prev+]-*; \
@@ -1689,10 +1689,10 @@  stagefeedback-start::
 	@r=`${PWD_COMMAND}`; export r; \
 	s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
 	for i in prev-*; do \
-	  j=`echo $$i | sed s/^prev-//` ; \
+	  j=`echo $$i | sed s/^prev-//`; \
 	  cd $$r/$$i && \
-	  { find . -type d | sort | sed 's,.*,$(SHELL) '"$$s"'/mkinstalldirs "../'$$j'/&",' | $(SHELL) ; } && \
-	  { find . -name '*.*da' | sed 's,.*,$(LN) -f "&" "../'$$j'/&",' | $(SHELL) ; } ; \
+	  { find . -type d | sort | sed 's,.*,$(SHELL) '"$$s"'/mkinstalldirs "../'$$j'/&",' | $(SHELL); } && \
+	  { find . -name '*.*da' | sed 's,.*,$(LN) -f "&" "../'$$j'/&",' | $(SHELL); }; \
 	done
 
 @if gcc-bootstrap